Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class LocationPath

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.compiler.Expression
            |
            +--org.apache.commons.jxpath.ri.compiler.Path
                  |
                  +--org.apache.commons.jxpath.ri.compiler.LocationPath

public class LocationPath
extends Path

Version:
  $Revision: 1.9 $ $Date: 2003/03/11 00:59:22 $
Author:
  Dmitri Plotnikov

Inner classes inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`LocationPath(boolean absolute, Step[] steps)`

Method Summary
`java.lang.Object` | `compute(EvalContext context)`
`boolean` | `computeContextDependent()` Implemented by subclasses and result is cached by isContextDependent()
`java.lang.Object` | `computeValue(EvalContext context)` Evaluates the expression.
`boolean` | `isAbsolute()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Path
`areBasicPredicates, createContextForStep, evalSteps, getSingleNodePointerForSteps, getSteps, isSimplePath`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocationPath

    public LocationPath(boolean absolute,
                        Step[] steps)

Method Detail

### isAbsolute

    public boolean isAbsolute()

### computeContextDependent

    public boolean computeContextDependent()

  Description copied from class: `Expression`
  Implemented by subclasses and result is cached by isContextDependent()
  Overrides:
    `computeContextDependent` in class `Path`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compute

    public java.lang.Object compute(EvalContext context)

  Overrides:
    `compute` in class `Expression`

### computeValue

    public java.lang.Object computeValue(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.
  Overrides:
    `computeValue` in class `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.